Bug 5338 - Размер выделяемого ramdisk'а меньше, чем размер распакованого mdkinst_stage2
: Размер выделяемого ramdisk'а меньше, чем размер распакованого mdkinst_stage2
Status: CLOSED FIXED
: ALT Linux 2.4
(All bugs in ALT Linux 2.4/drakxtools)
: 2.4
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-10-15 15:51 by
Modified: 2008-02-15 18:43 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-10-15 15:51:56
Размер выделяемого ramdisk'а меньше, чем размер распакованого mdkinst_stage2.

При загрузке ядра размер ramdisk'а выставляется в 54000 килобайта, тогда как
фактический размер распакованого mdkinst_stage2 составляет 56954880 байт.

Из-за этого невозможна установка системы по сети.

Для себя я вылечил ситуацию указав в файле syslinux.cfg ramdisk_size=64000.
Насколько такое решение правильное я не знаю, но таки систему поставить
удалось.

Прошу обратить внимание на эту проблему до появления ALM2.4 в официальном
доступе.

А, да, это все дело выявилось на дистрибутиве ALT Linux Master 2.4 релиз,
полученый через девелоперский доступ.
------- Comment #1 From 2004-10-15 18:14:20 -------
имеет место быть.
временное лечение:
subst 's|=54000|=56000|g' path/to/mounted/bootdisk.img/syslinux.cfg
------- Comment #2 From 2004-10-15 18:58:18 -------
У меня тоже по сети не шла установка, прогресс загрузки файла stage2 доходил до
количества процентов, близкого к 100%, а потом появлялся диалог выбора метода
установки. И так по циклу.
------- Comment #3 From 2004-11-05 13:12:21 -------
fixed, new images released
------- Comment #4 From 2008-02-15 18:43:15 -------
archiving